---
include:
  - runners/common.yml

variables:
  TFT_API_URL: "https://api.dev.testing-farm.io/v0.1"

tft-submitter:
  extends: [.submitter]
  artifacts:
    reports:
      dotenv: test_variables.env
  before_script:
    - echo "${UMB_CERTIFICATE}" > /tmp/umb_certificate.pem
  script:
    - scripts/tft_submitter.sh
  needs:
    - {pipeline: $PARENT_PIPELINE_ID, job: git-repo}

tft-report-results:
  rules: [{if: $SKIP_REPORT_RESULTS == "1", when: never}, {when: on_success}]
  extends: [.report-results]
  before_script:
    - echo "${UMB_CERTIFICATE}" > /tmp/umb_certificate.pem
  script:
    - scripts/tft_report_results.sh
  artifacts:
    when: always
    paths:
      - output.json
      - results.xml
    reports:
      dotenv: test_variables.env
  needs:
    - {pipeline: $PARENT_PIPELINE_ID, job: git-repo}
    - tft-submitter

triager:
  rules: [{if: $SKIP_REPORT_RESULTS == "1", when: never}, {when: on_success}]
  extends: [.triager]
  needs:
    - {pipeline: $PARENT_PIPELINE_ID, job: git-repo}
    - tft-submitter
    - tft-report-results

notify:
  rules: [{if: $SKIP_REPORT_RESULTS == "1", when: never}, {when: on_success}]
  extends: [.notify]
  needs:
    - {pipeline: $PARENT_PIPELINE_ID, job: git-repo}
    - tft-submitter
    - tft-report-results
    - triager

notify-error:
  rules: [{if: $SKIP_REPORT_RESULTS == "1", when: never}, {when: on_failure}]
  extends: [.notify-error]
